Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
DatabaseEnvironment..::.LogInMemory Property
DatabaseEnvironment Class See Also Send Feedback

If true, transaction logs are maintained in-memory rather than on disk. This means that transactions exhibit the ACI (atomicity, consistency, and isolation) properties, but not D (durability).

Namespace: BerkeleyDB
Assembly: libdb_dotnet62 (in libdb_dotnet62.dll) Version: 6.2.32.0

# Syntax

C#
    public bool LogInMemory { get; }

Visual Basic (Declaration)
    Public ReadOnly Property LogInMemory As Boolean

Visual C++
    public:
    property bool LogInMemory {
    	bool get ();
    }

# See Also

DatabaseEnvironment Class
BerkeleyDB Namespace